package com.lwby.marketing.controller;

import org.apache.commons.lang3.StringUtils;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

public class ServiceHelper {
    public String emptyIsNull(String params){
        return StringUtils.defaultIfEmpty(params,null);
    }

    public String encode(String params){
        try {
            return URLEncoder.encode(params,"utf-8");
        } catch (UnsupportedEncodingException e) {
            return null;
        }
    }

    public Integer parseInt(String params){
        try {
            return Integer.valueOf(params);
        }catch (Exception e){
            return null;
        }
    }
}
